
proc unsubscribe {} {
	global news groups sgroups

	foreach idx [$news(glst) curselection] {
		set l [$news(glst) get $idx]
		set g [lindex [split $l] 0]
		if { [info exists sgroups($g)] } {
			if { ![info exists groups($g)] } {
				#  Thsi is needed so toggling works when the 
				#  entire group file has not been read from disk!
				set groups($g) $sgroups($g)
			}
			unset sgroups($g) 
		}
		.news.x delete $idx 
		.news.x insert $idx ""
	}
	$news(glst) selection clear 0 end
}

proc subscribe_to {} {
	global news groups sgroups

	foreach idx [$news(glst) curselection] {
		set l [$news(glst) get $idx]
		set g [lindex [split $l] 0]
		set sgroups($g) $groups($g)
		.news.x delete $idx 
		.news.x insert $idx "X"
	}
	$news(glst) selection clear 0 end
}

proc toggleSub { w x y } {
	global news groups sgroups

	set idx [.news.x nearest $y] 
	if { $idx != "" } {
		set l [$news(glst) get $idx]
		set g [lindex [split $l] 0]

		if { [info exists sgroups($g)] } {
			if { ![info exists groups($g)] } {
				#  Thsi is needed so toggling works when the 
				#  entire group file has not been read from disk!
				set groups($g) $sgroups($g)
			}
			unset sgroups($g) 
			.news.x delete $idx 
			.news.x insert $idx ""
		} else {		
			set sgroups($g) $groups($g)
			.news.x delete $idx 
			.news.x insert $idx "X"
		}
	}
}
