
proc saveSetup {} {
	global news sgroups newsread

	set fd [open $news(personal)/tclnews.rc w]
		puts $fd $news(name)
		puts $fd $news(serv)
		puts $fd $news(mail)
		puts $fd $news(email)
		puts $fd $news(lst_date)
		puts $fd $news(sort)
		puts $fd $news(con_on_start)
		puts $fd $news(newgrps)
		puts $fd $news(saveonexit)
		puts $fd $news(pop3)
		puts $fd $news(popuser)
		close $fd
	
		set fd [open $news(personal)/tclnews.sig w]
		puts $fd $news(sig)  
		close $fd
}

proc tclnews_setup { {init 0} } {
	global news

	if { $news(personal) == "" } { set news(personal) $news(home) }
	if { $news(serv) == "" } { set news(serv) "news" }
	if { $news(mail) == "" } { set news(mail) "mail" }
	if { $news(sig) == "" } { set news(sig) "Your signature goes here" }

	set ts [clock format [clock seconds] -format %H%M%S]
	update
	set w [formwindow $ts setup Setup Name "News Server" "Mail Servere" "Email Address" "POP3 Server" "POP3 user Id" Personal]
	set news($w,1) $news(name)
	set news($w,2) $news(serv)
	set news($w,3) $news(mail)
	set news($w,4) $news(email)
	set news($w,5) $news(pop3)
	set news($w,6) $news(popuser)
	set news($w,7) $news(personal)
	$w.ok configure -command "set news($w,wait) 1"
	$w.cancel configure -command "set news($w,wait) 2"
	$w.main insert end $news(sig)
	set news($w,wait) 0

while { $news($w,wait) == 0 || $news(serv) == "" } {
	tkwait variable news($w,wait)
	if { $news($w,wait) == 1 } {
		set news(name)  $news($w,1) 
		set news(serv)  $news($w,2) 
		set news(mail)  $news($w,3) 
		set news(email)  $news($w,4) 
		set news(pop3) $news($w,5)
		set news(popuser) $news($w,6) 
		set news(personal) $news($w,7) 
		set news(sig) [$w.main get 1.0 end]
	} else {
		if { $init == 1 } {
			exit 0
		}
	}
	if { $news(serv) == "" } {
		tk_dialog .err "$news(tclnews) $news(version)" "You must at least define the news server" error 0 OK
		set news($w,wait) 0
	}
}
	closewin $ts
	saveSetup
}

